Method: projects.locations.instances.checkUpgradability

노트북 인스턴스를 업그레이드할 수 있는지 확인합니다.

HTTP 요청

GET https://notebooks.googleapis.com/v2/{notebookInstance}:checkUpgradability

경로 매개변수

매개변수
notebookInstance

string

필수 항목. 형식: projects/{projectId}/locations/{location}/instances/{instanceId}

승인을 처리하려면 지정된 리소스 notebookInstance에 대해 다음과 같은 IAM 권한이 필요합니다.

  • notebooks.instances.checkUpgradability

요청 본문

요청 본문은 비어 있어야 합니다.

응답 본문

노트북 인스턴스를 업그레이드할 수 있는지 확인하는 응답입니다.

성공한 경우 응답 본문은 다음과 같은 구조의 데이터를 포함합니다.

JSON 표현
{
  "upgradeable": boolean,
  "upgradeVersion": string,
  "upgradeInfo": string,
  "upgradeImage": string
}
필드
upgradeable

boolean

인스턴스를 업그레이드할 수 있는지 여부입니다.

upgradeVersion

string

업그레이드 엔드포인트를 호출하는 경우 이 인스턴스가 업그레이드될 버전입니다. 이 필드는 field_upgradeable이 true인 경우에만 채워집니다.

upgradeInfo

string

업그레이드에 관한 추가 정보입니다.

upgradeImage

string

업그레이드 엔드포인트를 호출하는 경우 이 인스턴스가 업그레이드될 새 이미지 자체 링크입니다. 이 필드는 field_upgradeable이 true인 경우에만 채워집니다.

승인 범위

다음 OAuth 범위 중 하나가 필요합니다.

  • https://www.googleapis.com/auth/cloud-platform
  • https://www.googleapis.com/auth/notebooks

자세한 내용은 Authentication Overview를 참조하세요.